!---------------
PROGRAM EXAMPLE1
!---------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Local array declarations.
REAL ( KIND = DP ), ALLOCATABLE, DIMENSION(:,:) :: TMPCRD

! . Print out the header.
CALL DYNAMO_HEADER

! . Define the system.
CALL COORDINATES_DEFINE ( "../data/bALA1.crd" )

! . Write out information about the atom data.
CALL ATOMS_FORMULA
CALL ATOMS_SUMMARY

! . Write out information about the sequence data.
CALL SEQUENCE_PRINT
CALL SEQUENCE_SUMMARY

! . Allocate the temporary array.
ALLOCATE ( TMPCRD(1:3,1:NATOMS) )

! . Read in the second set of coordinates.
CALL COORDINATES_READ ( "../data/bALA2.crd", TMPCRD )

! . Write out the differences to the output stream.
CALL COORDINATES_WRITE ( DATA = ( ATMCRD - TMPCRD ) )

! . Deallocate the temporary coordinate array.
DEALLOCATE ( TMPCRD )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE1
