!----------------
PROGRAM EXAMPLE10
!----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Construct the system file for cyclohexane.
CALL MM_SYSTEM_READ ( "cyclohexane.sys_bin" )

! . Read in the coordinates of the chair form.
CALL COORDINATES_READ ( "../data/cyclohexane_chair.crd" )

! . Calculate the frequencies.
CALL NORMAL_MODE_FREQUENCIES ( MODIFY = "PROJECT" )

! . Calculate the infrared intensities.
CALL NORMAL_MODE_INTENSITIES

! . Print the normal modes.
CALL NORMAL_MODE_PRINT

! . Calculate a single mode trajectory for the lowest frequency mode.
CALL NORMAL_MODE_TRAJECTORY ( "cyclohexane_chair.mode7", 7, 10, 21, 600.0_DP )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE10
