!----------------
PROGRAM EXAMPLE12
!----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Read in the system file.
CALL MM_SYSTEM_READ ( "bALA.sys_bin" )

! . Read in a first set of coordinates.
CALL COORDINATES_READ ( "../data/bALA1.crd" )

! . Perform a coordinate minimization.
CALL OPTIMIZE_CONJUGATE_GRADIENT ( GRADIENT_TOLERANCE = 0.1_DP, PRINT_FREQUENCY = 50, STEP_NUMBER = 1000 )

! . Initialize the random number seed.
CALL RANDOM_INITIALIZE ( 314171, 314172 )

! . Assign velocities to the atoms at a temperature of 10K.
CALL VELOCITY_ASSIGN ( 10.0_DP )

! . Heat the system to 300K in 1 ps.
CALL DYNAMICS_OPTIONS ( 0.001_DP, 1000, 100 )
CALL VELOCITY_VERLET_DYNAMICS ( TARGET_TEMPERATURE = 300.0_DP, SCALE_FREQUENCY = 100, SCALE_OPTION = "LINEAR" )

! . Equilibrate the system at 300K keeping the old velocities.
CALL DYNAMICS_OPTIONS ( 0.001_DP, 5000, 500 )
CALL VELOCITY_VERLET_DYNAMICS ( TARGET_TEMPERATURE = 300.0_DP, SCALE_FREQUENCY = 100, SCALE_OPTION = "CONSTANT" )

! . Run dynamics at about 300K keeping the old velocities.
CALL DYNAMICS_OPTIONS ( 0.001_DP, 10000, 500, SAVE_FREQUENCY = 100, COORDINATE_FILE = "bALA1.traj" )
CALL VELOCITY_VERLET_DYNAMICS

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE12
