!----------------
PROGRAM EXAMPLE17
!----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Local array declarations.
LOGICAL, ALLOCATABLE, DIMENSION(:) :: SELECTION

! . Print out the header.
CALL DYNAMO_HEADER

! . Read in the system file for the box of waters.
CALL MM_SYSTEM_READ ( "h2o_box729.sys_bin" )

! . Read in the coordinates.
CALL COORDINATES_READ ( "../data/h2o_box729.crd" )

! . Allocate and initialize the selection array.
ALLOCATE ( SELECTION(1:NATOMS) ) ; SELECTION = ( ATMNAM == "O" )

! . Calculate the self-diffusion function for the oxygens.
CALL DCD_DSELF ( "h2o_box729.traj", 101, 0.001_DP, SELECTION )

! . Calculate the radial distribution function for the oxygens.
CALL DCD_RDF_SELF ( "h2o_box729.traj", 100, 10.0_DP, SELECTION )

! . Deallocate the selection array.
DEALLOCATE ( SELECTION )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE17
