!----------------
PROGRAM EXAMPLE20
!----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Local parameters.
INTEGER,            PARAMETER :: NBINS = 100, NWINDOWS = 5
REAL ( KIND = DP ), PARAMETER :: T     = 300.0_DP

! . Local scalars.
CHARACTER ( LEN = 1 ) :: ISTRING
INTEGER               :: I

! . Local arrays.
CHARACTER ( LEN = 32 ), DIMENSION(1:NWINDOWS) :: DATA

! . Print out the header.
CALL DYNAMO_HEADER

! . Read in the system file.
CALL MM_SYSTEM_READ ( "bALA.sys_bin" )

! . Set up the file names.
DO I = 1,NWINDOWS
   CALL ENCODE_INTEGER ( I, ISTRING, "(I1)" )
   DATA(I) = "bALA.window"//TRIM ( ISTRING )
END DO

! . Calculate the PMF.
CALL WHAM_ANALYSE ( DATA, NBINS, T, ITERATIONS = 2000 )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE20
