!----------------
PROGRAM EXAMPLE21
!----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Process the MM file.
CALL MM_FILE_PROCESS ( "solvent.opls_bin", "../data/solvent.opls" )

! . Construct the system file.
CALL MM_SYSTEM_CONSTRUCT ( "solvent.opls_bin", "../data/ch4h2o_box215.seq" )

! . Save the system file.
CALL MM_SYSTEM_WRITE ( "ch4h2o_box215.sys_bin" )

! . Read in the coordinates.
CALL COORDINATES_READ ( "../data/ch4h2o_box215.crd" )

! . Initialize the random number seed.
CALL RANDOM_INITIALIZE ( 314159 )

! . Set the Monte Carlo energy options.
CALL MONTE_CARLO_ENERGY_OPTIONS ( CUTOFF = 8.5_DP, SMOOTH = 0.5_DP )

! . Perform the Monte Carlo simulation.
CALL MONTE_CARLO ( 20, 100000, SAVE_FREQUENCY = 100, FILE = "ch4h2o_box215.mc " )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE21
