!---------------
PROGRAM EXAMPLE6
!---------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Local scalars.
REAL ( KIND = DP ) :: ESTART, ESTOP

! . Local arrays.
REAL ( KIND = DP ), ALLOCATABLE, DIMENSION(:,:) :: CRDOLD

! . Print out the header.
CALL DYNAMO_HEADER

! . Read in the system file.
CALL MM_SYSTEM_READ ( "bALA.sys_bin" )

! . Read in a first set of coordinates.
CALL COORDINATES_READ ( "../data/bALA1.crd" )

! . Allocate space for the temporary coordinates and save them.
ALLOCATE ( CRDOLD(1:3,1:NATOMS) )
CRDOLD = ATMCRD

! . Calculate and print the initial energy.
CALL ENERGY ; ESTART = ETOTAL

! . Perform a coordinate minimization.
CALL OPTIMIZE_CONJUGATE_GRADIENT ( PRINT_FREQUENCY = 100, STEP_NUMBER = 2000 )

! . Calculate and print the final energy.
CALL ENERGY ; ESTOP = ETOTAL

! . Print the energy lowering.
WRITE ( OUTPUT, "(/A,F20.4)" ) "Energy reduction after minimization = ", ESTOP - ESTART

! . Calculate the RMS coordinate deviation between the two structures.
CALL RMS_DEVIATION ( CRDOLD, ATMCRD, ATMMAS )

! . Superimpose the two structures (transform the structure in ATMCRD).
CALL SUPERIMPOSE_KABSCH ( CRDOLD, ATMCRD, ATMMAS )

! . Recalculate the RMS coordinate deviation between the two structures.
CALL RMS_DEVIATION ( CRDOLD, ATMCRD, ATMMAS )

! . Deallocate the arrays.
DEALLOCATE ( CRDOLD )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE6
