!---------------
PROGRAM EXAMPLE8
!---------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Construct the system file for cyclohexane.
CALL MM_SYSTEM_READ ( "cyclohexane.sys_bin" )

! . Read in the coordinates.
CALL COORDINATES_READ ( "../data/cyclohexane_saddle.crd" )

! . Calculate and print the initial energy.
CALL ENERGY

! . Follow the path downwards in the plus direction.
CALL REACTION_PATH_TRACE ( "+", 200, ENERGY_STEP = 2.0_DP, PATH_STEP = 0.025_DP, PRINT_FREQUENCY = 10, &
                           SAVE_FREQUENCY = 10, FILE = "cyclohexane_plus.sdp", USE_MASS_WEIGHTING = .TRUE. )

! . Reset the coordinates.
CALL COORDINATES_READ ( "../data/cyclohexane_saddle.crd" )

! . Follow the path downwards in the minus direction.
CALL REACTION_PATH_TRACE ( "-", 200, ENERGY_STEP = 2.0_DP, PATH_STEP = 0.025_DP, PRINT_FREQUENCY = 10, &
                           SAVE_FREQUENCY = 10, FILE = "cyclohexane_minus.sdp", USE_MASS_WEIGHTING = .TRUE. )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE8
