!---------------
PROGRAM EXAMPLE9
!---------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Local arrays.
REAL ( KIND = DP ), ALLOCATABLE, DIMENSION(:,:) :: REACTANTS, PRODUCTS

! . Print out the header.
CALL DYNAMO_HEADER

! . Construct the system file for cyclohexane.
CALL MM_SYSTEM_READ ( "cyclohexane.sys_bin" )

! . Allocate space for the arrays.
ALLOCATE ( REACTANTS(1:3,1:NATOMS), PRODUCTS(1:3,1:NATOMS) )

! . Read in the coordinates of the chair form.
CALL COORDINATES_READ ( "../data/cyclohexane_chair.crd" )

! . Save the reactant coordinates.
REACTANTS = ATMCRD

! . Read in the coordinates of the boat form.
CALL COORDINATES_READ ( "../data/cyclohexane_boat.crd" )

! . Save the product coordinates.
PRODUCTS = ATMCRD

! . Initialize a chain trajectory.
CALL CHAIN_INITIALIZE ( "cyclohexane1.saw", 11, REACTANTS, PRODUCTS )

! . Optimize the chain.
CALL CHAIN_OPTIMIZE ( "cyclohexane1.saw", "cyclohexane2.saw", GAMMA = 1000.0_DP, PRINT_FREQUENCY = 1, STEP_NUMBER = 200 )

! . Deallocate the temporary space.
DEALLOCATE ( REACTANTS, PRODUCTS )

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM EXAMPLE9
