!-----------------
PROGRAM HPEXAMPLE1
!-----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Process the MM file.
CALL MM_FILE_PROCESS ( "solvent.opls_bin", "../data/solvent.opls" )

! . Construct the system file for water.
CALL MM_SYSTEM_CONSTRUCT ( "solvent.opls_bin", "../data/h2o_dimer.seq" )

! . Write out the system file.
CALL MM_SYSTEM_WRITE ( "h2o_dimer.sys_bin" )

! . Read in the coordinates.
CALL COORDINATES_READ ( "../data/h2o_dimer.crd" )

! . Define the second molecule to be QM.
CALL MOPAC_SETUP ( "AM1", CHARGE = 0, MULTIPLICITY = 1, SELECTION = ATOM_SELECTION ( RESIDUE_NUMBER = (/ 2 /) ) )

! . Initialize the non-bonding list cutoff options.
CALL ENERGY_NON_BONDING_OPTIONS ( LIST_CUTOFF = 13.5_DP, OUTER_CUTOFF = 12.0_DP, INNER_CUTOFF = 8.0_DP, &
                                  MINIMUM_IMAGE = .FALSE., PRINT = .TRUE. )

! . Calculate and print an energy.
CALL ENERGY

! . Optimize the geometry.
CALL OPTIMIZE_CONJUGATE_GRADIENT ( GRADIENT_TOLERANCE = 0.001_DP, PRINT_FREQUENCY = 100, STEP_NUMBER = 1000 )

! . Calculate the final energy.
CALL ENERGY

! . Print out the optimized coordinates.
CALL COORDINATES_WRITE

! . Print some statistics about the non-bonding energy calculation.
CALL ENERGY_NON_BONDING_STATISTICS

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM HPEXAMPLE1
