!-----------------
PROGRAM HPEXAMPLE2
!-----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Define the system.
CALL MM_SYSTEM_READ ( "bALA.sys_bin" )

! . Read in a set of coordinates.
CALL COORDINATES_READ  ( "../data/bALA1.crd" )

! . Define all atoms to be QM.
CALL MOPAC_SETUP ( "AM1", SELECTION = ATOM_SELECTION ( ATOM_NUMBER = (/ 11, 12, 13, 14 /) ) )

! . Calculate an energy.
CALL ENERGY

! . Do a geometry optimization.
CALL OPTIMIZE_CONJUGATE_GRADIENT ( GRADIENT_TOLERANCE = 0.1_DP, PRINT_FREQUENCY = 50, STEP_NUMBER = 1000 )

! . Write out a final energy.
CALL ENERGY

! . Print the coordinates.
CALL COORDINATES_WRITE

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM HPEXAMPLE2
