!-----------------
PROGRAM QMEXAMPLE1
!-----------------

! . Module declarations.
USE DYNAMO

IMPLICIT NONE

! . Print out the header.
CALL DYNAMO_HEADER

! . Define the system by reading in a set of coordinates.
CALL COORDINATES_DEFINE  ( "../data/bALA1.crd" )

! . Define all atoms to be AM1.
CALL MOPAC_SETUP ( "AM1" )

! . Calculate an energy.
CALL ENERGY

! . Do a geometry optimization.
CALL OPTIMIZE_CONJUGATE_GRADIENT ( GRADIENT_TOLERANCE = 0.1_DP, PRINT_FREQUENCY = 50, STEP_NUMBER = 1000 )

! . Write out a final energy.
CALL ENERGY

! . Print the coordinates.
CALL COORDINATES_WRITE

! . Finish up.
CALL DYNAMO_FOOTER

END PROGRAM QMEXAMPLE1
